
From: Adrian Bunk <bunk@stusta.de>

This patch makes a needlessly global variable static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/process.c   |    2 +-
 25-akpm/arch/x86_64/kernel/process.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/i386/kernel/process.c~i386-x86_64-processc-make-hlt_counter-static arch/i386/kernel/process.c
--- 25/arch/i386/kernel/process.c~i386-x86_64-processc-make-hlt_counter-static	2005-02-02 18:21:11.904376848 -0800
+++ 25-akpm/arch/i386/kernel/process.c	2005-02-02 18:21:11.909376088 -0800
@@ -61,7 +61,7 @@
 
 asmlinkage void ret_from_fork(void) __asm__("ret_from_fork");
 
-int hlt_counter;
+static int hlt_counter;
 
 unsigned long boot_option_idle_override = 0;
 EXPORT_SYMBOL(boot_option_idle_override);
diff -puN arch/x86_64/kernel/process.c~i386-x86_64-processc-make-hlt_counter-static arch/x86_64/kernel/process.c
--- 25/arch/x86_64/kernel/process.c~i386-x86_64-processc-make-hlt_counter-static	2005-02-02 18:21:11.906376544 -0800
+++ 25-akpm/arch/x86_64/kernel/process.c	2005-02-02 18:21:11.910375936 -0800
@@ -54,7 +54,7 @@ asmlinkage extern void ret_from_fork(voi
 
 unsigned long kernel_thread_flags = CLONE_VM | CLONE_UNTRACED;
 
-atomic_t hlt_counter = ATOMIC_INIT(0);
+static atomic_t hlt_counter = ATOMIC_INIT(0);
 
 unsigned long boot_option_idle_override = 0;
 EXPORT_SYMBOL(boot_option_idle_override);
_
